// 文件上传
// 图片上传demo
jQuery.uploadPlugin={
		createUploadDiv:function(fileLimit,btnId,listId,viewDivId) {
    	var $ = jQuery,
        $btn = $('#'+btnId),
        $list = $('#'+listId),
        $uploadId=$('#uploadId'),
        state = 'pending',
    // 优化retina, 在retina下这个值是2
        ratio = window.devicePixelRatio || 1,

    // 缩略图大小
        thumbnailWidth = 100 * ratio,
        thumbnailHeight = 100 * ratio,

    // Web Uploader实例
        uploader;

    // 初始化Web Uploader
    uploader = WebUploader.create({

        // 自动上传。
        auto: false,

        // swf文件路径
        swf:'/market/transaction/Uploader.swf',

        // 文件接收服务端。
        server: 'http://upload.7881.com/file/fileUploadFlash.action',

        fileSingleSizeLimit:512000,

        // 选择文件的按钮。可选。
        // 内部根据当前运行是创建，可能是input元素，也可能是flash.
        pick: '#'+viewDivId,
        fileVal:'fileImage',
        formData:{"userid":$("#userid").val()},
        fileNumLimit:fileLimit,
        // 只允许选择文件，可选。
        accept: {
            title: 'Images',
            extensions: 'jpg,jpeg,png',
            mimeTypes: 'image/*'
        }
    });
    uploader.onFileQueued = function( file ) {
        var $li = $( '#'+file.id ),
            del = $("<p title='删除' class='but-del'>删除</p>");
        $li.append(del);
        del.on("click",function(){
            uploader.removeFile( file );
            $(this).parent().remove();
            return;
        })
};
    // 当有文件添加进来的时候
    uploader.on( 'fileQueued', function( file ) {
        var $li = $(
                '<div id="' + file.id + '" class="file-item thumbnail">' +
                    '<img>' +
                    '<div class="info">' + file.name + '</div>' +
                    '</div>'
            ),
            $img = $li.find('img');

        $list.append( $li );

        // 创建缩略图
        uploader.makeThumb( file, function( error, src ) {
            if ( error ) {
                $img.replaceWith('<span>不能预览</span>');
                return;
            }

            $img.attr( 'src', src );
        }, thumbnailWidth, thumbnailHeight );
    });

    // 文件上传过程中创建进度条实时显示。
    uploader.on( 'uploadProgress', function( file, percentage ) {
        var $li = $( '#'+file.id ),
            $percent = $li.find('.progress span');

        // 避免重复创建
        if ( !$percent.length ) {
            $percent = $('<p class="progress"><span></span></p>')
                .appendTo( $li )
                .find('span');
        }

        $percent.css( 'width', percentage * 100 + '%' );
    });

    // 文件上传成功，给item添加成功class, 用样式标记上传成功。
    /*uploader.on( 'uploadSuccess', function( file ) {
        $( '#'+file.id ).addClass('upload-state-done');
    });*/

    // 文件上传失败，现实上传出错。
    uploader.on( 'uploadError', function( file ) {
        var $li = $( '#'+file.id ),
            $error = $li.find('div.error');

        // 避免重复创建
        if ( !$error.length ) {
            $error = $('<div class="error"></div>').appendTo( $li );
        }

        $error.text('上传失败');
    });

    uploader.on( 'all', function( type ) {
        if ( type === 'startUpload' ) {
            state = 'uploading';
        } else if ( type === 'stopUpload' ) {
            state = 'paused';
        } else if ( type === 'uploadFinished' ) {
            state = 'done';
        }

    });

    $btn.on( 'click', function() {
        if ( state === 'uploading' ) {
            uploader.stop();
        } else {
            uploader.upload();
        }
    });
    // 完成上传完了，成功或者失败，先删除进度条。
   /* uploader.on( 'uploadComplete', function( file ) {
        $.post("http://192.168.12.157:8080/file/fileUploadFlash.action",function(data){
            $("#test").val(data.url);
        })
        //$( '#'+file.id ).find('.progress').remove();
    });*/
    uploader.on( 'uploadSuccess', function( file,response) {
    	callBackUpload(response,viewDivId);
        $( '#'+file.id ).find('.progress').remove();
        $( '#'+file.id ).find(".but-del").remove().end().append("<p>上传成功</p>")
        //$( '#'+file.id ).addClass('upload-state-done');
    });
}}